Skip to main content
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
jobs
Get Application Jobs Api Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/jobs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "items": [
    {
      "job_id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "operation_id": "<string>",
      "operation_name": "<string>",
      "operation_status": "<string>",
      "operation_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "timeout": 123,
      "start_at": "2023-11-07T05:31:56Z",
      "stop_at": "2023-11-07T05:31:56Z",
      "scheduler_name": "<string>",
      "result": {}
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123,
  "total_pages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.ankra.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

application_id
string
required

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:25
Required range: 1 <= x <= 100

Response

Successful Response

items
PlatformResourceJob · object[]
required
total
integer
required
page
integer
required
page_size
integer
required
total_pages
integer
required